use uuid::Uuid;

#[derive(Debug)]
pub enum Priority {
    Low,
    Normal,
    High,
}

#[derive(Debug)]
pub enum Status {
    Todo,
    Doing,
    Done,
}

#[derive(Debug)]
pub struct Todo {
    id: Uuid,
    user_id: Uuid,
    title: String,
    description: String,
    priority: Priority,
    status: Status,
}

impl Todo {
    pub fn new(
        user_id: Uuid,
        title: &str,
        description: &str,
        priority: Priority,
        status: Status,
    ) -> Todo {
        Todo {
            id: Uuid::new_v4(),
            user_id,
            title: String::from(title),
            description: String::from(description),
            priority,
            status,
        }
    }
}
